Summary: FastJet, a jet finder for e+e- and pp collisions
Name: fastjet
Version: 3.4.0
Release: 12%{?dist}2b
Source0: localhost:/%{name}-%{version}.tar.gz
URL: http://fastjet.fr
Group: Development/Libraries
License: GPLv2
%define __prefix	/opt/%{name}
Prefix: %{__prefix}
BuildRoot: %{_tmppath}/%{name}-root

%description
A software package for jet finding in pp and e+e- collisions. It includes fast native implementations of many sequential recombination clustering algorithms, plugins for access to a range of cone jet finders and tools for advanced jet manipulation.


%prep
%setup 

rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{__prefix}/%{version}

%build
CC=clang CXX=clang++ \
./configure --prefix=%{__prefix}/%{version}
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc README* C* INSTALL NEWS TODO doc
%defattr(-,root,wheel)
%dir %{__prefix}/%{version}
%{__prefix}/%{version}/*

%changelog
* Sun Feb 27 2022 Keisuke Fujii <keisuke.fujii@kek.jp> 3.4.0-12hepx2b
- 2nd release on MacOS 12 for M1 Macs.
- built with OSXWS 12beta and clang.

* Thu Feb 24 2022 Keisuke Fujii <keisuke.fujii@kek.jp> 3.4.0-12hepx2a
- 1st release on MacOS 12 for M1 Macs.
- built with OSXWS 11 and clang.

* Wed Jan 29 2020 Keisuke Fujii <keisuke.fujii@kek.jp> 3.3.3-10.15hepx1a
- 1st release on MacOS X 10.15 for x86_64.
- built with OSXWS 10.15.

* Sun Dec 29 2019 Keisuke Fujii <keisuke.fujii@kek.jp> 3.3.3-10.14hepx1a
- 1st release on MacOS X 10.14 for x86_64.
- built with OSXWS 10.14.

* Sat Dec 28 2019 Keisuke Fujii <keisuke.fujii@kek.jp> 3.2.1-10.14hepx1b
- 2nd release on MacOS X 10.14 for x86_64.
- built with OSXWS 10.14.

* Tue Dec 25 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 3.2.1-10.14hepx1a
- 1st release on MacOS X 10.14 for x86_64.
- built with OSXWS 10.13.

* Wed Apr 04 2018 Keisuke Fujii <keisuke.fujii@kek.jp> 3.2.1-10.13hepx1a
- 1st release on MacOS X 10.13 for x86_64.

* Sat Jan 28 2017 Keisuke Fujii <keisuke.fujii@kek.jp> 3.2.1-10.12hepx1a
- 1st release on MacOS X 10.12 for x86_64.
